define("ballooniesIxfWinlinesDeclaration", ["componentmodelComponentApi", "slotModelApi", "ballooniesIxfComponentsWinlinesPort", "gameLayoutApi", "ballooniesIxfTumbleReelsApi", "clientkernelEventbusApi"],
    function(componentmodelComponentApi, slotModelApi, ballooniesIxfComponentsWinlinesPort, gameLayoutApi, ballooniesIxfTumbleReelsApi, clientkernelEventbusApi) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof ballooniesIxfWinlinesDeclaration == 'undefined') {
            var ballooniesIxfWinlinesDeclaration = {};
        };
        ballooniesIxfWinlinesDeclaration.WinLinesDeclaration = function() {};
        ballooniesIxfWinlinesDeclaration.WinLinesDeclaration = ck_implements(ballooniesIxfWinlinesDeclaration.WinLinesDeclaration, componentmodelComponentApi.IComponentDeclaration);
        ballooniesIxfWinlinesDeclaration.WinLinesDeclaration.__interfaces__ = [componentmodelComponentApi.IComponentDeclaration];
        ballooniesIxfWinlinesDeclaration.WinLinesDeclaration.__name__ = ["ballooniesIxfWinlinesDeclaration", "WinLinesDeclaration"];
        ballooniesIxfWinlinesDeclaration.WinLinesDeclaration.prototype.getChildComponents = function() {
            return null;
        };
        ballooniesIxfWinlinesDeclaration.WinLinesDeclaration.prototype.getReferredComponents = function() {
            return null;
        };
        ballooniesIxfWinlinesDeclaration.WinLinesDeclaration.prototype.getImplementedPorts = function() {
            return [ballooniesIxfComponentsWinlinesPort.IWinLinesImplementationPort];
        };
        ballooniesIxfWinlinesDeclaration.WinLinesDeclaration.prototype.getUsedPorts = function() {
            return [slotModelApi.IOutcomePhasePort, ballooniesIxfTumbleReelsApi.ITumbleReelsPort, gameLayoutApi.IGameLayoutPort];
        };
        ballooniesIxfWinlinesDeclaration.WinLinesDeclaration.prototype.__class__ = ballooniesIxfWinlinesDeclaration.WinLinesDeclaration;
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

        };
        return {
            exports: ballooniesIxfWinlinesDeclaration
        };
    });
//# sourceURL=winLinesDeclaration.js